Subject: Re: Advanced Texture Mapping
From: Ernie Wright <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Fri, 26 Jan 1996 11:06:03 -0500

Ace Miles wrote:

> As one of our programmers pointed out, the real problem lies within
> the object file format. If you did have a plugin to change the U,V 
> mapping, the information would still not be saved within the LW object
> file.

Not true.  The shader can save whatever data it needs in an object file.
The next time the object is loaded, the shader plug-in is invoked and is
responsible for loading the part it saved.  Moreover, a properly written
LWOB reader won't break, or even flinch, when it encounters this private
data.

The real problem isn't any one thing.  It's a matter of designing a
complete system and making it interact rationally with what's already
there.

- Ernie